====================
Beam Section Profile
====================

The Beam Section profile commands are used to create profiles. A profile definition specifies the properties of a beam that are related to its cross-section geometry. When you define a beam section, you must include a reference to a profile in the section definition.

Create beam section profiles
----------------------------

In Mdb
~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.BeamSectionProfileModel.BeamSectionProfileModel
    :noindex:
    :members:

In Odb
~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.BeamSectionProfileOdb.BeamSectionProfileOdb
    :noindex:
    :members:

    .. autoclasstoc::


Object features
---------------

Profile
~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.Profile.Profile
    :members:

    .. autoclasstoc::

ArbitraryProfile
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.ArbitraryProfile.ArbitraryProfile
    :members:

    .. autoclasstoc::

BoxProfile
~~~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.BoxProfile.BoxProfile
    :members:

    .. autoclasstoc::

CircularProfile
~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.CircularProfile.CircularProfile
    :members:

    .. autoclasstoc::

GeneralizedProfile
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.GeneralizedProfile.GeneralizedProfile
    :members:

    .. autoclasstoc::

HexagonalProfile
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.HexagonalProfile.HexagonalProfile
    :members:

    .. autoclasstoc::

IProfile
~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.IProfile.IProfile
    :members:

    .. autoclasstoc::

LProfile
~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.LProfile.LProfile
    :members:

    .. autoclasstoc::

PipeProfile
~~~~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.PipeProfile.PipeProfile
    :members:

    .. autoclasstoc::

RectangularProfile
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.RectangularProfile.RectangularProfile
    :members:

    .. autoclasstoc::

TProfile
~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.TProfile.TProfile
    :members:

    .. autoclasstoc::

TrapezoidalProfile
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BeamSectionProfile.TrapezoidalProfile.TrapezoidalProfile
    :members:

    .. autoclasstoc::

